diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/LdapServer.class.php b/drupal7/sites/all/modules/ldap/ldap_servers/LdapServer.class.php
index 97d9abcd..6d320a13 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/LdapServer.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/LdapServer.class.php
@@ -172,7 +172,6 @@ class LdapServer {
           $server_record->{$db_field_name} = $value;
         }
       }
-      //debug('ctools record'); debug($server_record);
     }
     else {
       $select = db_select('ldap_servers')
@@ -471,7 +470,6 @@ class LdapServer {
     if (!$result) {
       $error = "LDAP Server ldap_add(%dn) Error Server ID = %sid, LDAP Err No: %ldap_errno LDAP Err Message: %ldap_err2str ";
       $tokens = array('%dn' => $dn, '%sid' => $this->sid, '%ldap_errno' => ldap_errno($this->connection), '%ldap_err2str' => ldap_err2str(ldap_errno($this->connection)));
-      //debug(t($error, $tokens));
       watchdog('ldap_server', $error, $tokens, WATCHDOG_ERROR);
     }
 
@@ -1324,8 +1322,6 @@ class LdapServer {
    */
   public function groupAddGroup($group_dn, $attributes = array()) {
 
-    //debug("this->dnExists(   $group_dn, boolean)"); debug($this->dnExists($group_dn, 'boolean'));
-   // debug("this->dnExists(   $group_dn, boolean)"); debug($this->dnExists($group_dn));
     if ($this->dnExists($group_dn, 'boolean')) {
       return FALSE;
     }
@@ -1451,7 +1447,6 @@ class LdapServer {
    * @return FALSE on error otherwise array of group members (could be users or groups)
    */
   public function groupAllMembers($group_dn) {
-   // debug("groupAllMembers $group_dn, this->groupMembershipsAttr=". $this->groupMembershipsAttr . 'this->groupGroupEntryMembershipsConfigured=' . $this->groupGroupEntryMembershipsConfigured);
     if (!$this->groupGroupEntryMembershipsConfigured) {
       return FALSE;
     }
@@ -1504,7 +1499,6 @@ class LdapServer {
     };
 
     foreach ($current_member_entries as $i => $member_entry) {
-      //dpm("groupMembersResursive:member_entry $i, level=$level < max_levels=$max_levels"); dpm($member_entry);
       // 1.  Add entry itself if of the correct type to $all_member_dns
       $objectClassMatch = (!$object_classes || (count(array_intersect(array_values($member_entry['objectclass']), $object_classes)) > 0));
       $objectIsGroup = in_array($this->groupObjectClass, array_values($member_entry['objectclass']));
@@ -1674,7 +1668,6 @@ class LdapServer {
         $query_for_parent_groups = '(&(objectClass=' . $this->groupObjectClass . ')' . $or . ')';
 
         foreach ($this->basedn as $base_dn) {  // need to search on all basedns one at a time
-          // debug("query for parent groups, base_dn=$base_dn, $query_for_parent_groups");
           $group_entries = $this->search($base_dn, $query_for_parent_groups);  // no attributes, just dns needed
           if ($group_entries !== FALSE  && $level < LDAP_SERVER_LDAP_QUERY_RECURSION_LIMIT) {
             $this->groupMembershipsFromEntryRecursive($group_entries, $all_group_dns, $tested_group_ids, $level + 1, LDAP_SERVER_LDAP_QUERY_RECURSION_LIMIT);
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/LdapServerAdmin.class.php b/drupal7/sites/all/modules/ldap/ldap_servers/LdapServerAdmin.class.php
index 3490f8f0..dabde534 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/LdapServerAdmin.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/LdapServerAdmin.class.php
@@ -158,7 +158,6 @@ class LdapServerAdmin extends LdapServer {
 
     }
 
-  //  debug("values sent to save op=$op, ctools=". (int)module_exists('ctools')); debug($values);
     if ($result) {
       $this->inDatabase = TRUE;
     }
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.info b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.info
index 4b3734ec..5d946166 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.info
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.info
@@ -17,9 +17,9 @@ files[] = ldap_servers.theme.inc
 files[] = tests/ldap_servers.test
 configure = admin/config/people/ldap/servers
 
-; Information added by Drupal.org packaging script on 2017-03-18
-version = "7.x-2.0"
+; Information added by Drupal.org packaging script on 2017-05-21
+version = "7.x-2.1"
 core = "7.x"
 project = "ldap"
-datestamp = "1489858388"
+datestamp = "1495392789"
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.install b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.install
index 2bffd414..8d5c1f17 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.install
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.install
@@ -703,6 +703,10 @@ function ldap_servers_update_7201() {
   //5. ldap_authentication and ldap_user changes are in variables, not tables
 
   $ldap_authentication_conf_data = variable_get('ldap_authentication_conf', array());
+  if (!is_array($ldap_authentication_conf_data['sids'])) {
+    $ldap_authentication_conf_data['sids'] = array();
+  }
+
   $ldap_user_conf_data = variable_get('ldap_user_conf', array());
 
   $ldap_authentication_sids = array_keys($ldap_authentication_conf_data['sids']);
@@ -757,7 +761,7 @@ function ldap_servers_update_7201() {
       'title' => 'Changes in 7.x-1.x to 7.x-2.x update')
     );
 
-  watchdog('ldap_servers', $summary, WATCHDOG_INFO);
+  watchdog('ldap_servers', $summary, array(), WATCHDOG_INFO);
   return $summary;
 
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.module b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.module
index d34fa513..531b9ea9 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.module
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.module
@@ -347,7 +347,6 @@ function ldap_servers_theme() {
  */
 
 function ldap_servers_ldap_user_attrs_list_alter(&$available_user_attrs, &$params) {
-  //debug('ldap_servers_ldap_user_attrs_list_alter'); debug($available_user_attrs); debug($params);
 
   if (isset($params['ldap_server']) && $params['ldap_server']) {
     $ldap_server = $params['ldap_server'];
@@ -487,8 +486,6 @@ function ldap_servers_ldap_user_attrs_list_alter(&$available_user_attrs, &$param
       }
     }
   }
- // debug('available_user_attrs2'); debug($available_user_attrs);
-
 }
 
 /**
@@ -538,7 +535,6 @@ function ldap_servers_get_servers($sid = NULL, $type = NULL, $flatten = FALSE, $
  * see ldap_servers_get_servers()
  */
 function _ldap_servers_get_servers($sid, $type, $flatten, $reset) {
- // dpm('_ldap_servers_get_servers params'); dpm(array($sid, $type, $flatten, $reset));
   ldap_servers_module_load_include('php', 'ldap_servers', 'LdapServerAdmin.class');
   static $servers;
   $type = ($type) ? $type : 'all';
@@ -814,7 +810,7 @@ function ldap_servers_convert_attribute($value, $conversion = NULL) {
  */
 function ldap_servers_disable_http_check(&$form) {
 
-  if (variable_get('ldap_servers_require_ssl_for_credentials', 0) == 1 && @$_SERVER['HTTPS'] != 'on') {
+  if (variable_get('ldap_servers_require_ssl_for_credentials', 0) == 1 && !drupal_is_https()) {
 
     $tokens = array(
       'site_name' => variable_get('site_name', 'this site'),
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.theme.inc b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.theme.inc
index 2fe10adf..eea40490 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.theme.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.theme.inc
@@ -122,7 +122,6 @@ function theme_ldap_server_token_table($variables) {
 }
 
 function theme_ldap_server_ldap_entry_table($variables) {
- // debug($variables);
   if (!isset($variables['entry']) || !is_array($variables['entry'])) {
     return '<p>' . t('No Entry Returned.') . t('</p>');
   }
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/tests/ldap_servers.test b/drupal7/sites/all/modules/ldap/ldap_servers/tests/ldap_servers.test
index 42abfe3f..37c7cc5b 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/tests/ldap_servers.test
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/tests/ldap_servers.test
@@ -380,12 +380,10 @@ class LdapServersTestCase extends LdapTestCase {
     foreach ($data as $field_id => $values) {
       $field_id = drupal_strtolower($field_id);
       if (!isset($map[$field_id])) {
-       // debug("no mapping for field: $field_id in item_id $item_id");
         continue;
       }
       $property = $map[$field_id];
       if (!property_exists($object, $property) && !property_exists($object, drupal_strtolower($property))) {
-       // debug("property $property does not exist in object in item_id $item_id");
         continue;
       }
       $property_value = $object->{$property};
diff --git a/drupal7/sites/all/modules/ldap/ldap_sso/ldap_sso.info b/drupal7/sites/all/modules/ldap/ldap_sso/ldap_sso.info
index bd9efbd3..66f50e6a 100644
--- a/drupal7/sites/all/modules/ldap/ldap_sso/ldap_sso.info
+++ b/drupal7/sites/all/modules/ldap/ldap_sso/ldap_sso.info
@@ -6,9 +6,9 @@ dependencies[] = ldap_authentication
 core = 7.x
 configure = admin/config/people/ldap/authentication
 
-; Information added by Drupal.org packaging script on 2017-03-18
-version = "7.x-2.0"
+; Information added by Drupal.org packaging script on 2017-05-21
+version = "7.x-2.1"
 core = "7.x"
 project = "ldap"
-datestamp = "1489858388"
+datestamp = "1495392789"
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_test/LdapServerTest.class.php b/drupal7/sites/all/modules/ldap/ldap_test/LdapServerTest.class.php
index ddf1170e..a60ce8eb 100644
--- a/drupal7/sites/all/modules/ldap/ldap_test/LdapServerTest.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_test/LdapServerTest.class.php
@@ -47,11 +47,9 @@ class LdapServerTest extends LdapServer {
   }
 
   public function refreshFakeData() {
-   // debug("refreshFakeData sid=". $this->sid);
     $test_data = variable_get('ldap_test_server__' . $this->sid, array());
     $this->methodResponses = (is_array($test_data) && isset($test_data['methodResponses'])) ? $test_data['methodResponses'] : array();
     $this->entries = (is_array($test_data) && isset($test_data['ldap'])) ? $test_data['ldap'] : array();
-  //  debug('this->entries');debug($this->entries);
     $this->searchResults = (isset($test_data['search_results'])) ? $test_data['search_results'] : array();
     $this->detailedWatchdogLog = variable_get('ldap_help_watchdog_detail', 0);
     foreach ($test_data['properties'] as $property_name => $property_value ) {
@@ -139,8 +137,6 @@ class LdapServerTest extends LdapServer {
    */
   function search($base_dn = NULL, $filter, $attributes = array(), $attrsonly = 0, $sizelimit = 0, $timelimit = 0, $deref = LDAP_DEREF_NEVER, $scope = LDAP_SCOPE_SUBTREE) {
 
-   // debug("ldap test server search base_dn=$base_dn, filter=$filter");
-
     $lcase_attribute = array();
     foreach ($attributes as $i => $attribute_name) {
       $lcase_attribute[] = drupal_strtolower($attribute_name);
@@ -154,7 +150,6 @@ class LdapServerTest extends LdapServer {
         $base_dn = $this->basedn[0];
       }
       else {
-        // debug("fail basedn: ldap test server search base_dn=$base_dn, filter=$filter");
         return FALSE;
       }
     }
@@ -164,7 +159,6 @@ class LdapServerTest extends LdapServer {
      * are prepolulated in test data
      */
     if (isset($this->searchResults[$filter][$base_dn])) {
-   //   debug("case1 filter= $filter   base_dn=$base_dn ");
       $results = $this->searchResults[$filter][$base_dn];
       foreach ($results as $i => $entry) {
         if (is_array($entry) && isset($entry['FULLENTRY'])) {
@@ -174,8 +168,7 @@ class LdapServerTest extends LdapServer {
           $results[$i]['dn'] = $dn;
         }
       }
-   //   debug($results);
-      return $results; 
+      return $results;
     }
 
     /**
@@ -188,7 +181,6 @@ class LdapServerTest extends LdapServer {
     $operand = FALSE;
 
     if (strpos($filter, '&') === 0) {
-   //   debug('2.A.');
      /**
      * case 2.A.: filter of form (&(<attribute>=<value>)(<attribute>=<value>)(<attribute>=<value>))
      *  such as (&(samaccountname=hpotter)(samaccountname=hpotter)(samaccountname=hpotter))
@@ -202,7 +194,6 @@ class LdapServerTest extends LdapServer {
       }
     }
     elseif (strpos($filter, '|') === 0) {
-      //debug('2.B.');
      /**
      * case 2.B: filter of form (|(<attribute>=<value>)(<attribute>=<value>)(<attribute>=<value>))
      *  such as (|(samaccountname=hpotter)(samaccountname=hpotter)(samaccountname=hpotter))
@@ -215,12 +206,8 @@ class LdapServerTest extends LdapServer {
       foreach ($parts as $i => $pair) {
         $subqueries[] = explode('=', $pair);
       }
-         // debug("operand=$operand, filter=$filter subqueries"); debug($subqueries);
-   // debug($this->entries['cn=hpotter,ou=people,dc=hogwarts,dc=edu']);
-   // debug($this->entries['cn=clone0,ou=people,dc=hogwarts,dc=edu']);
     }
     elseif (count(explode('=', $filter)) == 2) {
-     // debug('2.C.');
      /**
      * case 2.C.: filter of form (<attribute>=<value>)
      *  such as (samaccountname=hpotter)
@@ -229,7 +216,6 @@ class LdapServerTest extends LdapServer {
       $subqueries[] = explode('=', $filter);
     }
     else {
-    //  debug('no case');
       return FALSE;
     }
 
@@ -243,7 +229,6 @@ class LdapServerTest extends LdapServer {
       foreach ($subqueries as $i => $subquery) {
         $filter_attribute = drupal_strtolower($subquery[0]);
         $filter_value = $subquery[1];
-      //  debug("filter_attribute=$filter_attribute, filter_value=$filter_value");
         foreach ($this->entries as $dn => $entry) {
           $dn_lcase = drupal_strtolower($dn);
 
@@ -254,7 +239,6 @@ class LdapServerTest extends LdapServer {
           //$pos = strpos($dn_lcase, $base_dn);
           $substring = strrev(substr(strrev($dn_lcase), 0, strlen($base_dn)));
           $cascmp =  strcasecmp($base_dn, $substring);
-          //debug("dn_lcase=$dn_lcase, base_dn=$base_dn,pos=$pos,substring=$substring,cascmp=$cascmp");
           if ($cascmp !== 0) {
 
             continue; // not in basedn
@@ -267,13 +251,11 @@ class LdapServerTest extends LdapServer {
               break;
             }
           }
-         // debug("filter value=$filter_value, attr_value_to_compare="); debug($attr_value_to_compare);
           if (!$attr_value_to_compare || drupal_strtolower($attr_value_to_compare[0]) != $filter_value) {
             continue;
           }
 
           // match!
-         // debug("match"); debug($attr_value); debug($attributes);
           $entry['dn'] = $dn;
           if ($attributes) {
             $selected_data = array();
@@ -298,7 +280,6 @@ class LdapServerTest extends LdapServer {
 
           $substring = strrev(substr(strrev($dn_lcase), 0, strlen($base_dn)));
           $cascmp =  strcasecmp($base_dn, $substring);
-          //debug("dn_lcase=$dn_lcase, base_dn=$base_dn,pos=$pos,substring=$substring,cascmp=$cascmp");
           if ($cascmp !== 0) {
             $match = FALSE;
             break; // not in basedn
@@ -311,7 +292,6 @@ class LdapServerTest extends LdapServer {
               break;
             }
           }
-         // debug("filter value=$filter_value, attr_value_to_compare="); debug($attr_value_to_compare);
           if (!$attr_value_to_compare || drupal_strtolower($attr_value_to_compare[0]) != $filter_value) {
             $match = FALSE;
             break; // not in basedn
@@ -335,7 +315,6 @@ class LdapServerTest extends LdapServer {
     }
 
     $results['count'] = count($results);
-  //  debug("ldap test server search results"); debug($results);
     return $results;
   }
 
@@ -354,11 +333,9 @@ class LdapServerTest extends LdapServer {
       $match = (strcasecmp($entry_dn, $find_dn) == 0);
 
       if ($match) {
-      //  debug("testserver:dnExists,match=$match, entry_dn=$entry_dn, find_dn=$find_dn"); debug($entry);
         return ($return == 'boolean') ? TRUE : $entry;
       }
     }
-   // debug("testserver:dnExists, no match");
     return FALSE; // not match found in loop
 
   }
@@ -458,7 +435,6 @@ class LdapServerTest extends LdapServer {
 
     $test_data['entries'][$dn] = $ldap_entry;
     $test_data['ldap'][$dn] = $ldap_entry;
-  //  debug("modifyLdapEntry:server test data before save $dn"); debug($test_data['entries'][$dn]);
     variable_set('ldap_test_server__' . $this->sid, $test_data);
     $this->refreshFakeData();
     return TRUE;
@@ -476,7 +452,6 @@ class LdapServerTest extends LdapServer {
   public function delete($dn) {
 
     $test_data = variable_get('ldap_test_server__' . $this->sid, array());
-   // debug("test ldap server, delete=$dn, test data="); debug(array_keys($test_data['users']));
     $deleted = FALSE;
     foreach (array('entries', 'users', 'groups', 'ldap') as $test_data_sub_array) {
       if (isset($test_data[$test_data_sub_array][$dn])) {
diff --git a/drupal7/sites/all/modules/ldap/ldap_test/LdapTestCase.class.php b/drupal7/sites/all/modules/ldap/ldap_test/LdapTestCase.class.php
index cc1eed19..430a3b48 100644
--- a/drupal7/sites/all/modules/ldap/ldap_test/LdapTestCase.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_test/LdapTestCase.class.php
@@ -139,29 +139,22 @@ class LdapTestCase extends DrupalWebTestCase {
         $test_data['search_results'][$filter][$domain] = array_diff($test_data['search_results'][$filter][$domain], array($group_dn));
         $test_data['search_results'][$filter][$domain]['count'] = count($test_data['search_results'][$filter][$domain] - 1);
       }
-      //debug("removeUserFromGroup:debug test_data[search_results][$filter]"); debug($test_data['search_results']['(&(objectClass=group)(member=$user_dn))']);
-
 
       if (!empty($test_data['users'][$user_dn]['attr']['memberof']) && in_array($group_dn, $test_data['users'][$user_dn]['attr']['memberof'])) {
         $test_data['users'][$user_dn]['attr']['memberof'] = array_diff($test_data['users'][$user_dn]['attr']['memberof'], array($group_dn));
         $test_data['users'][$user_dn]['attr']['memberof']['count'] = count($test_data['users'][$user_dn]['attr']['memberof'] - 1);
       }
-      //debug("removeUserFromGroup:debug test_data[users][$user_dn]"); debug($test_data['users'][$user_dn]);
-
 
       if (!empty($test_data['ldap'][$user_dn]['memberof']) && in_array($group_dn, $test_data['ldap'][$user_dn]['memberof'])) {
         $test_data['ldap'][$user_dn]['memberof'] = array_diff($test_data['ldap'][$user_dn]['memberof'], array($group_dn));
         $test_data['ldap'][$user_dn]['memberof']['count'] = count($test_data['ldap'][$user_dn]['memberof']) - 1;
       }
-      //debug("removeUserFromGroup:debug test_data[ldap][$user_dn]"); debug($test_data['ldap'][$user_dn]);
-
 
       if (!empty($test_data['groups'][$group_dn]['attr']['member']) && in_array($group_dn, $test_data['groups'][$group_dn]['attr']['member']) ) {
         $members = array_diff($test_data['groups'][$group_dn]['attr']['member'], array($group_dn));
         $test_data['groups'][$group_dn]['attr']['member'] = $members;
         $test_data['groups'][$group_dn]['attr']['member'][$i]['count'] = count($members - 1);
       }
-      //debug("removeUserFromGroup:debug test_data[groups][$group_dn]"); debug($test_data['groups'][$group_dn]);
     }
 
   public function AttemptLogonNewUser($name, $goodpwd = TRUE) {
diff --git a/drupal7/sites/all/modules/ldap/ldap_test/ldap_test.info b/drupal7/sites/all/modules/ldap/ldap_test/ldap_test.info
index 2e9d8d3b..36f4611c 100644
--- a/drupal7/sites/all/modules/ldap/ldap_test/ldap_test.info
+++ b/drupal7/sites/all/modules/ldap/ldap_test/ldap_test.info
@@ -18,9 +18,9 @@ files[] = LdapServerTest.class.php
 files[] = LdapTestFunctions.class.php
 files[] = LdapUserTestCase.class.php
 
-; Information added by Drupal.org packaging script on 2017-03-18
-version = "7.x-2.0"
+; Information added by Drupal.org packaging script on 2017-05-21
+version = "7.x-2.1"
 core = "7.x"
 project = "ldap"
-datestamp = "1489858388"
+datestamp = "1495392789"
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConf.class.php b/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConf.class.php
index 0dac10d9..1d220ed5 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConf.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConf.class.php
@@ -496,7 +496,6 @@ class LdapUserConf {
    */
 
   public function provisionLdapEntry($account, $ldap_user = NULL, $test_query = FALSE) {
-    //debug('provisionLdapEntry account'); //debug($account);
     $watchdog_tokens = array();
     $result = array(
       'status' => NULL,
@@ -709,8 +708,7 @@ class LdapUserConf {
           );
         }
         else {
-         //  //debug('modifyLdapEntry,dn=' . $proposed_ldap_entry['dn']);  //debug($attributes);
-              // stick $proposed_ldap_entry in $ldap_entries array for drupal_alter call
+          // stick $proposed_ldap_entry in $ldap_entries array for drupal_alter call
           $proposed_dn_lcase = drupal_strtolower($proposed_ldap_entry['dn']);
           $ldap_entries = array($proposed_dn_lcase => $attributes);
           $context = array(
@@ -833,7 +831,6 @@ class LdapUserConf {
       $prov_events = ldap_user_all_events();
     }
     $sid = $this->ldapEntryProvisionServer; //
-    //debug("ldapEntryProvisionServer:$sid");
     if (!$sid) {
       return FALSE;
     }
@@ -911,8 +908,6 @@ class LdapUserConf {
   */
 
   function drupalUserToLdapEntry($account, $ldap_server, $params, $ldap_user_entry = NULL) {
-  //debug('call to drupalUserToLdapEntry, account:'); //debug($account); //debug('ldap_server'); //debug($ldap_server);
-  //debug('params'); //debug($params); //debug('ldap_user_entry');//debug($ldap_user_entry);
     $provision = (isset($params['function']) && $params['function'] == 'provisionLdapEntry');
     $result = LDAP_USER_PROV_RESULT_NO_ERROR;
     if (!$ldap_user_entry) {
@@ -931,9 +926,6 @@ class LdapUserConf {
     $prov_events = empty($params['prov_events']) ? ldap_user_all_events() : $params['prov_events'];
 
     $mappings = $this->getSynchMappings($direction, $prov_events);
-     //debug('prov_events'); //debug(join(",",$prov_events));
-  //  debug('mappings'); debug($mappings);
-      // Loop over the mappings.
     foreach ($mappings as $field_key => $field_detail) {
       list($ldap_attr_name, $ordinal, $conversion) = ldap_servers_token_extract_parts($field_key, TRUE);  //trim($field_key, '[]');
       $ordinal = (!$ordinal) ? 0 : $ordinal;
@@ -942,7 +934,6 @@ class LdapUserConf {
       }
 
       $synched = $this->isSynched($field_key, $params['prov_events'], LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY);
-    //  debug("isSynched $field_key: $synched");
       if ($synched) {
         $token = ($field_detail['user_attr'] == 'user_tokens') ? $field_detail['user_tokens'] : $field_detail['user_attr'];
         $value = ldap_servers_token_replace($account, $token, 'user_account');
@@ -1027,7 +1018,7 @@ class LdapUserConf {
         return FALSE;
       }
     }
-   // dpm('ldap_user 675');dpm($ldap_user);
+
     if (!isset($user_edit['name']) && isset($account->name)) {
       $user_edit['name'] = $account->name;
       $watchdog_tokens['%username'] = $user_edit['name'];
@@ -1329,14 +1320,11 @@ class LdapUserConf {
     );
     if (!$result) {
       if (isset($this->synchMapping[$direction][$attr_token])) {
-        //debug($this->synchMapping[$direction][$attr_token]);
       }
       else {
-      //  debug("$attr_token not in ldapUserConf::synchMapping");
       }
     }
     return $result;
   }
 
-
-} // end LdapUserConf class
+}
diff --git a/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConfAdmin.class.php b/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConfAdmin.class.php
index bd984fec..c9fffa8f 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConfAdmin.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConfAdmin.class.php
@@ -527,7 +527,6 @@ EOT;
           $row_descriptor = t("server %sid row mapping to ldap attribute %ldap_attr", $tokens);
           $tokens['!row_descriptor'] = $row_descriptor;
           $ldap_attribute_maps_in_token = array();
-         // debug('calling ldap_servers_token_extract_attributes from validate, mapping='); debug($mapping['ldap_attr']);
           ldap_servers_token_extract_attributes($ldap_attribute_maps_in_token, $mapping['ldap_attr']);
 
           if ($mapping['direction'] == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) {
diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.info b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.info
index a69cecb4..7e4ed755 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.info
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.info
@@ -23,9 +23,9 @@ files[] = tests/ldap_user.test
 stylesheets[all][] = ldap_user.css
 configure = admin/config/people/ldap/user
 
-; Information added by Drupal.org packaging script on 2017-03-18
-version = "7.x-2.0"
+; Information added by Drupal.org packaging script on 2017-05-21
+version = "7.x-2.1"
 core = "7.x"
 project = "ldap"
-datestamp = "1489858388"
+datestamp = "1495392789"
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.install b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.install
index 477de00d..05136a9f 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.install
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.install
@@ -136,7 +136,7 @@ function ldap_user_user_entity_fields() {
       'label' => 'LDAP Server ID that puid was derived from.  NULL if puid is independent of server configuration instance.',
       'description' => 'This field should not be edited.',
       'required' => 0,
-      'default_value_function' => 'ldap_user_provisioned_sid_default',
+      'default_value' => array(),
       'settings' => array(
         'text_processing' => 0,
       ),
@@ -181,7 +181,7 @@ function ldap_user_user_entity_fields() {
       'label' => 'Value of user\'s permanent unique id.  This should never change for a given ldap identified user.',
       'description' => 'This field should not be edited.',
       'required' => 0,
-      'default_value_function' => 'ldap_user_puid_default',
+      'default_value' => array(),
       'settings' => array(
         'text_processing' => 0,
       ),
@@ -225,7 +225,7 @@ function ldap_user_user_entity_fields() {
       'label' => 'Property specified as user\'s puid.',
       'description' => 'This field should not be edited.',
       'required' => 0,
-      'default_value_function' => 'ldap_user_puid_property_default',
+      'default_value' => array(),
       'settings' => array(
         'text_processing' => 0,
       ),
@@ -269,7 +269,7 @@ function ldap_user_user_entity_fields() {
       'label' => 'User LDAP DN',
       'description' => 'May change when user\'s DN changes. This field should not be edited.',
       'required' => 0,
-      'default_value_function' => 'ldap_user_dn_default',
+      'default_value' => array(),
       'settings' => array(
         'text_processing' => 0,
       ),
diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.module b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.module
index 8cca143a..25e66b90 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.module
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.module
@@ -965,7 +965,6 @@ function ldap_user_user_insert(&$user_edit, $account, $category) {
  */
 
 function ldap_user_user_update(&$user_edit, $account, $category) {
-  //debug("ldap_user_user_update, category=$category"); debug($user_edit); debug($account); // ldap_user_user_insert, category='. $category . 'account->status = ' . $account->status);
   if (ldap_user_ldap_exclude($account, $user_edit)) {
     return;
   }
@@ -1011,7 +1010,6 @@ function ldap_user_user_update(&$user_edit, $account, $category) {
  */
 
 function ldap_user_user_presave(&$user_edit, $account, $category) {
- //debug("ldap_user_user_presave, category=$category"); debug($user_edit); debug($account); // ldap_user_user_insert, category='. $category . 'account->status = ' . $account->status);
 
   if (ldap_user_ldap_exclude($account, $user_edit)) {
     return;
@@ -1060,34 +1058,6 @@ function ldap_user_user_delete($account) {
   }
 }
 
-
-
-/**
- * @return default value for field user->ldap_user_provisioned_sid
- */
-function ldap_user_provisioned_sid_default($entity_type, $entity, $field, $instance, $langcode) {
-  return NULL;
-}
-
-/**
- * @return default value for field user->ldap_user_provisioned_sid
- */
-function ldap_user_puid_default($entity_type, $entity, $field, $instance, $langcode) {
-  return NULL;
-}
-/**
- * @return default value for field user->ldap_user_puid
- */
-function ldap_user_puid_property_default($entity_type, $entity, $field, $instance, $langcode) {
-  return NULL;
-}
-/**
- * @return default value for field user->ldap_user_dn
- */
-function ldap_user_dn_default($entity_type, $entity, $field, $instance, $langcode) {
-  return NULL;
-}
-
 /**
  * Implements hook_field_widget_info().
  * to provide field type for LDAP fields
